Bug 1476440 - Review Request: gimp-luminosity-masks - Luminosity mask channels plug-in for Gimp
Summary: Review Request: gimp-luminosity-masks - Luminosity mask channels plug-in for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Ploumistos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-29 04:29 UTC by Luya Tshimbalanga
Modified: 2017-08-31 15:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-23 19:53:52 UTC
alex.ploumistos: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2017-07-29 04:29:29 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/gimp-luminosity-masks.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/gimp-luminosity-masks-0-1.fc26.src.rpm
Description: Script-Fu script generating a full set of Light, Dark, and 
Midtone masks as channels for your image.
Fedora Account System Username: luya

Comment 1 Luya Tshimbalanga 2017-07-29 04:31:47 UTC
Scratch build result:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20875267

rpmlint result:
rpmlint rpmbuild/RPMS/noarch/gimp-luminosity-masks-0-1.fc26.noarch.rpm 
gimp-luminosity-masks.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings

The reason for no-documentation is the package is an scriptfu addon for gimp

Comment 2 Alexander Ploumistos 2017-07-29 13:25:09 UTC
As most of the sections from fedora-review do not apply, I am not going to include the text here - almost every relevant section is OK. Just a couple of things:

1. The default location for addons AppStream metadata has changed, see:
https://www.freedesktop.org/software/appstream/docs/sect-Metadata-Addon.html

I've just sent a message to devel about this.


2. I always get confused with the "foo or later" licenses, but according to the text in the script's header, shouldn't the license be GPLv2+? In both the spec file and the metainfo.xml you have GPLv3+ (and of course the license text is that of GPL3). In the case of "or later" licenses, can we use a newer version just by redistributing the source material, or is that reserved for when there are modifications to the code? By the way, does packaging count as modification or redistribution?

These two are from the "SHOULD items" from fedora-review:

[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Package does not include license text files separate from upstream.

Obviously, it is in your discretion how (and if) you are going to deal with them, I just feel I should point them out.

Comment 3 Luya Tshimbalanga 2017-07-29 19:45:03 UTC
Updated files
Spec URL: https://luya.fedorapeople.org/packages/SPECS/gimp-luminosity-masks.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/gimp-luminosity-masks-0-2.fc26.src.rpm

Following changes:
1. Uses new appstream guideline. I am planning not to open F24 branch which is coming EOL anyway.
2. Uses GPLv2+ license according to the codes. To answer the question, the packaging count as redistribution. 

Thanks for the pointer, I will deal with them.

Comment 4 Alexander Ploumistos 2017-07-29 23:53:50 UTC
It took me a while to figure out why mock and koji builds failed on every fedora version, but you forgot to modify your %license section (or rename the license text file).

Comment 6 Alexander Ploumistos 2017-07-30 00:41:34 UTC
Great, everything checks out.

Package is APPROVED.

Comment 7 Luya Tshimbalanga 2017-07-30 03:20:08 UTC
(In reply to Alexander Ploumistos from comment #6)
> Great, everything checks out.
> 
> Package is APPROVED.

Thank you for the quick review, Alexander!

Comment 8 Gwyn Ciesla 2017-07-30 21:36:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gimp-luminosity-masks

Comment 9 Fedora Update System 2017-08-14 17:34:13 UTC
gimp-luminosity-masks-0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5072da698d

Comment 10 Fedora Update System 2017-08-15 03:51:40 UTC
gimp-luminosity-masks-0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-88fc3cc994

Comment 11 Fedora Update System 2017-08-15 06:23:55 UTC
gimp-luminosity-masks-0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-122ffcf63d

Comment 12 Fedora Update System 2017-08-15 07:50:01 UTC
gimp-luminosity-masks-0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5072da698d

Comment 13 Fedora Update System 2017-08-23 19:53:52 UTC
gimp-luminosity-masks-0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-08-24 00:54:18 UTC
gimp-luminosity-masks-0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-08-31 15:19:02 UTC
gimp-luminosity-masks-0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.